Subject: Re: linux-next: build failure after merge of the gpio tree

From: Uwe Kleine-König<[email-masked]>
Date: Wed, 12 Aug 2015 10:21:07 +0200

Hello Stephen,

On Wed, Aug 12, 2015 at 06:10:45PM +1000, Stephen Rothwell wrote:
> After merging the gpio tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> drivers/extcon/extcon-palmas.c:211:25: error: too few arguments to function 'devm_gpiod_get_optional'
>   palmas_usb->id_gpiod = devm_gpiod_get_optional(&pdev->dev, "id");
>                          ^
> In file included from /home/sfr/next/next/include/asm-generic/gpio.h:13:0,
>                  from /home/sfr/next/next/include/linux/gpio.h:51,
>                  from /home/sfr/next/next/include/linux/of_gpio.h:20,
>                  from /home/sfr/next/next/include/linux/mfd/palmas.h:24,
>                  from /home/sfr/next/next/drivers/extcon/extcon-palmas.c:28:
> /home/sfr/next/next/include/linux/gpio/consumer.h:80:32: note: declared here
>  struct gpio_desc *__must_check devm_gpiod_get_optional(struct device *dev,
>                                 ^
> 
> Caused by commit
> 
>   b17d1bf16cc7 ("gpio: make flags mandatory for gpiod_get functions")
> 
> interacting with commit
> 
>   92b7cb5dc885 ("extcon: palmas: Support GPIO based USB ID detection")
I don't find this commit, can you tell me though which tree this comes
into next?

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |